Bug 1478304 - (CVE-2017-11721) CVE-2017-11721 quake3: Buffer overflow in MSG_ReadBits/MSG_WriteBits
CVE-2017-11721 quake3: Buffer overflow in MSG_ReadBits/MSG_WriteBits
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170802,repor...
: Security
Depends On: 1478306 1478307
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 05:00 EDT by Adam Mariš
Modified: 2017-08-04 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-04 05:00:05 EDT
Buffer overflow in ioquake3 before 2017-08-02 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted packet.

Upstream patch:

https://github.com/ioquake/ioq3/commit/d2b1d124d4055c2fcbe5126863487c52fd58cca1
Comment 1 Adam Mariš 2017-08-04 05:00:31 EDT
Created quake3 tracking bugs for this issue:

Affects: epel-7 [bug 1478307]
Affects: fedora-all [bug 1478306]

Note You need to log in before you can comment on or make changes to this bug.